import bb.cascades 1.2

Container {
    id: promoBanner
    property alias imageSource: banner.imageSource
    property int width: 675
    property string name: "Name"
    property int max_columns: 2

    preferredWidth: width / max_columns
    maxWidth: preferredWidth

    preferredHeight: (width / max_columns / 3) + 4 + 40 //banners a 3x1
    maxHeight: preferredHeight
    
    topPadding: 40
    
    accessibility {
        name: promoBanner.name
    }

    //background: Color.Red
    ImageView {
        preferredWidth: promoBanner.preferredWidth - 40
        id: banner
        objectName: "banner-"
        //imageSource: "asset:///images/tmp/promobanner.png"
        scalingMethod: ScalingMethod.AspectFit
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Center
        accessibilityMode: A11yMode.Collapsed
    }
}
