import bb.cascades 1.2

Container {
    id: reviews
    objectName: "reviews"

    signal load ()
    onVisibleChanged: {
        if (visible) {
            reviews.load ();
        }
    }
    layout: DockLayout {
    }
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    ActivityIndicator {
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Center
        id: reviewLoadingIndicator
        objectName: "reviewLoadingIndicator"
        visible: true
        preferredWidth: 200
        preferredHeight: 200        
    }
    Label {
        verticalAlignment: VerticalAlignment.Top
        horizontalAlignment: HorizontalAlignment.Center
        id: noReviewsLabel
        objectName: "noReviewsLabel"
        text: qsTr ("There are currently no reviews available.")
        visible: false
        textStyle {
            //color: Color.White
            fontWeight: FontWeight.Bold
        }
    }
    
    ListView {
	    visible: true
        verticalAlignment: VerticalAlignment.Fill
        horizontalAlignment: HorizontalAlignment.Fill
        id: reviewListView
        objectName: "reviewListView"
    }
    
}
