import bb.cascades 1.2

Container {
    id: searchFieldHeader
    objectName: "searchFieldHeader"
    
    
    visible: true
    layout: DockLayout {
    }
    background: titleBarTile.imagePaint
    Container {
        id: header
        objectName: "header"
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        leftPadding: 20
        topPadding: 10
        bottomPadding: 10
        rightPadding: 10
        
        verticalAlignment: VerticalAlignment.Center

        TextField {
            id: searchField
            objectName: "searchField"
            verticalAlignment: VerticalAlignment.Center
            layoutProperties: StackLayoutProperties {
                spaceQuota: 6
            }
            input {
                flags: TextInputFlag.WordSubstitutionOff
                submitKey: SubmitKey.Search
                submitKeyFocusBehavior: SubmitKeyFocusBehavior.Lose
                onSubmitted: {
                    controller.onSearch(searchField.text);
                }
            }
        }
        Button {
            layoutProperties: StackLayoutProperties {
                spaceQuota: 2.5
            }
            id: cancelButton
            objectName: "cancelButton"
            text: qsTr("Cancel", "Button label to close the search screen")
            onClicked: {
                controller.onClose();
            }
            verticalAlignment: VerticalAlignment.Center
        }
    }
}
