import bb.cascades 1.2

Container {
    id: settingsScreen
    objectName: "settingsOverlay" //jwillis
    property string version: ""
    signal optionClicked(string optionValue)
            
    ListView {
        id: optionsList
        objectName: "optionsListView"
    }
    
    Label {
        id: version
        objectName: "version"
        text: settingsScreen.version
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Bottom
        bottomPadding: 10
        
//        signal versionTapped
        
        textStyle {
            color: Color.DarkGray
            base: SystemDefaults.TextStyles.BodyText
        }
        animations: [
            SequentialAnimation {
                id: fade
                FadeTransition {                    
                    toOpacity: 0.2
                    duration: 300
                }
                FadeTransition {                    
                    toOpacity: 1.0
                    duration: 300
                }
            }            
        ]
/*        gestureHandlers: [
            TapHandler {
                onTapped: {
                    fade.play();
                    version.versionTapped();
                }
            }
        ]*/
    }
}