import bb.cascades 1.2

Page {
    Container {
        layout: DockLayout {
        }
        background: {bgpaint.imagePaint}
        attachedObjects: [
            ImagePaintDefinition {
                id: bgpaint
                repeatPattern: RepeatPattern.XY
                imageSource: "asset:///images/background_details.amd"
            }
        ]
        Container {
            objectName: "bodyContainer"
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Top
            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom
            }
            SubscriptionTitleListItem {
                objectName: "subscriptionHeader"
            }
            ListView {
                objectName: "subscriptionList"
            }
        }
    }
}
