import bb.cascades 1.2

Container {
    id: subscription
    objectName: "subscription"
    property string bannerId: ""
    property string subscriptionTitle: "Cut the Rope is a really really long app name"
    property real iconHeight: 120.0
    Container {        
        objectName: "id-" + subscription.bannerId + "-title-" + subscription.subscriptionTitle //jwillis      
        leftPadding: 10
        topPadding: 20
        bottomPadding: 20
        rightPadding: 20

        
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
                
        topMargin: 0
        bottomMargin: 0
        ImageView {
            id: banner
            objectName: "banner"
            imageSource: "asset:///images/loading_placeholder.amd"
            scalingMethod: ScalingMethod.AspectFit
            preferredWidth: subscription.iconHeight
            preferredHeight: subscription.iconHeight
            verticalAlignment: VerticalAlignment.Center                
        }
        Container {
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            leftPadding: 10
                                            
            Label {
                text: subscription.subscriptionTitle
                objectName: "title" //jwillis
                visible: subscription.subscriptionTitle.length > 0
                //textStyle.color: Color.White
                textStyle.base: SystemDefaults.TextStyles.TitleText
                multiline: true
            }
        }
        
    }
    Divider {
        bottomMargin: 0
        topMargin: 0
    }
}
