import bb.cascades 1.2

Container {
    id: loaderListItem
    objectName: "loaderListItem"
    property string message: qsTr("Loading");
    property real rowHeight: 80
    
 	Container {  
 	              
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Fill
        
        minHeight: rowHeight
        maxHeight: rowHeight
        preferredHeight: rowHeight
        objectName: "loaderContainer"
        id: loaderContainer

        ActivityIndicator {	
        
	        verticalAlignment: VerticalAlignment.Center
        
            id: loadingIndicator
            objectName: "loadingIndicator"
            visible: true
        }
			
		Label {
		
			verticalAlignment: VerticalAlignment.Center
	        
			text: loaderListItem.message
			objectName: "message" //jwillis
			textStyle {
				//color: Color.White
				base: SystemDefaults.TextStyles.BodyText
				fontWeight: FontWeight.Normal			
			}
			maxHeight: loaderListItem.rowHeight;
			leftMargin: 10
		}
            
    }
    Divider {
        bottomMargin: 0
        topMargin: 0        
    }
}
