import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title: qsTr("My Cars", "Title for the My  Cars Page")
    }
    content: Container {
        topPadding: 20
        bottomPadding: 20
        ScrollView {
            id: scrollView
            scrollViewProperties {
                scrollMode: ScrollMode.Vertical
            }
            Container {
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    
                    DropDown {
                        title: qsTr("Current:", "my car title");                        
                        objectName: "myCarsDropDown";
                    
                    }
                    
                    Button {
                        id: deleteCar
                        objectName: "deleteCarButton"
                        text: qsTr("Delete", "Button label to refresh")
                        enabled: false
                    
                    }
                }
                
                
                Label {
                    text: qsTr("Add new car", "Button label to add a new car")
                }
                
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    
                    DropDown {
                        title: qsTr("Cars", "cars title");                        
                        objectName: "allCarsDropdown";                    
                    }
                    
                    Button {
                        id: addNewCar
                        objectName: "addNewCarButton"
                        text: qsTr("Add", "Button label to add a new car")
                    
                    }
                }             

            }
        }
    }
}
