import bb.cascades 1.3

Container {
    
    layout: DockLayout {
    }
    
    preferredHeight: ui.du(11)
    
    Container {
        
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        leftPadding: 20
        rightPadding: 10
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Center
        
        Label {
            id: searchstring
            objectName: "searchstring"
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            verticalAlignment: VerticalAlignment.Center
            text: "A Recent Search"
            textStyle.fontSize: FontSize.Large
        }
        
        ImageButton {
            visible: true
            preferredWidth: 60
            preferredHeight: 60
            id: deleteButton
            objectName: "deleteButton"
            defaultImageSource: "asset:///images/action_icons/ic_unsubscribe.png"
            pressedImageSource: "asset:///images/action_icons/ic_unsubscribe.png"
            verticalAlignment: VerticalAlignment.Center
            
            accessibility {
                name: qsTr("Clear")
                description: searchstring.text
            }
        }
    }


}
