import bb.cascades 1.2

Container {
    id: mainContainer
    objectName: "mainContainer"
    background: {bgpaint.imagePaint}
    
    property string bib;
    
    attachedObjects: [
        ImagePaintDefinition {
            id: bgpaint
            repeatPattern: RepeatPattern.XY
            imageSource: "asset:///images/background_details.amd"
        }
    ]
        
                
    
    ScrollView {
        scrollViewProperties.scrollMode: ScrollMode.Vertical
        scrollViewProperties.overScrollEffectMode: OverScrollEffectMode.None
        Container {
            layout: StackLayout {
            }
            topPadding: 20
            bottomPadding: 20
            leftPadding: 20
            rightPadding: 20
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill

            Label {
                visible: true
                id: releaseNotes
                objectName: "releaseNotes"
                textStyle {
                    base: SystemDefaults.TextStyles.BodyText
                }
                multiline: true
            }
        }
    }
}
