import bb.cascades 1.4

Container {

    signal starWidthChanged(int width)
    property int starWidth

    minHeight: topPadding+ ReviewStarRatingHeight + bottomPadding
    maxHeight: minHeight
	objectName: "starRatingContainer"

	layout: StackLayout {
        orientation: LayoutOrientation.LeftToRight
    }
    
    leftPadding: 8
    topPadding: 10
    bottomPadding: 10
    navigation.focusPolicy: NavigationFocusPolicy.Focusable

    ImageView {
        verticalAlignment: VerticalAlignment.Center
        objectName: "star1"
        imageSource: "asset:///images/ca_stars_lg_inactive.png"
        rightMargin: 25
        accessibilityMode: A11yMode.Collapsed 
        scalingMethod: ScalingMethod.AspectFit
    }
    
    ImageView {
    	verticalAlignment: VerticalAlignment.Center
        objectName: "star2"
        imageSource: "asset:///images/ca_stars_lg_inactive.png"
        rightMargin: 25
        accessibilityMode: A11yMode.Collapsed 
        scalingMethod: ScalingMethod.AspectFit

    }
    ImageView {
    	verticalAlignment: VerticalAlignment.Center
        objectName: "star3"
        imageSource: "asset:///images/ca_stars_lg_inactive.png"
        rightMargin: 25
        accessibilityMode: A11yMode.Collapsed 
        scalingMethod: ScalingMethod.AspectFit

    }
    ImageView {
    	verticalAlignment: VerticalAlignment.Center
        objectName: "star4"
        imageSource: "asset:///images/ca_stars_lg_inactive.png"
        rightMargin: 25
        accessibilityMode: A11yMode.Collapsed 
        scalingMethod: ScalingMethod.AspectFit

    }
    ImageView {
    	verticalAlignment: VerticalAlignment.Center
        objectName: "star5"
        imageSource: "asset:///images/ca_stars_lg_inactive.png"
        rightMargin: 25
        accessibilityMode: A11yMode.Collapsed 
        scalingMethod: ScalingMethod.AspectFit

        attachedObjects: [
            LayoutUpdateHandler {
                onLayoutFrameChanged: {
                   starWidth = layoutFrame.width;
                   starWidthChanged(starWidth);
                }
            }
        ]
    }
    rightPadding: 4
}

