import bb.cascades 1.2

Page {
    id: homescreenPage
    objectName: "homescreenPage"

    content: Container {
        id: mainContainer
        objectName: "mainContainer"
        //background: Color.White                
        Container{
            id: dockContainer
            objectName: "dockContainer"
            
	        //preferredWidth: 768
	        //preferredHeight: 1280
	        
	        background: { bgpaint.imagePaint }
	        attachedObjects: [
              ImagePaintDefinition {
                  id: bgpaint
                  repeatPattern: RepeatPattern.XY
                  imageSource: "asset:///images/background_details.amd"
              }
          	]
          	
	        layout: DockLayout {
	        }
	        ActivityIndicator {
	            id: loadingIndicator
	            visible: true
	            objectName: "loadingIndicator"
	            horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
	            preferredWidth: 200
	            preferredHeight: 200
	        }
	        Label {
	            visible: true
	            id: errorMessage
	            objectName: "errorMessage"	            
	            multiline: true	            
	            textStyle{
        	        //color: Color.White
                    fontWeight: FontWeight.Bold
                    base: SystemDefaults.TextStyles.BodyText
                    textAlign: TextAlign.Center
                }
                leftMargin: 10
                rightMargin: 10
	            //editable: false	            
	            horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
	        }	        
	        Container {
	            id: bodyContainer
	            objectName: "bodyContainer"
	            visible: false
	            ListView {
	                visible: false
	                id: bodyListView
	                objectName: "bodyListView"
	            }
	        }
        }
    }
}